package com.gtf.factory;

import com.gtf.template.AbstractPayCallTemplate;
import com.gtf.utils.SpringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class temlateFactory {
    /**
     * 使用工厂模式获取模版
     * @param temlateId
     * @return
     */
    public static AbstractPayCallTemplate getPayCallTemplate(String temlateId) {
        AbstractPayCallTemplate bean = (AbstractPayCallTemplate)SpringUtils.getBean(temlateId);
        return bean;
    }


}
