package com.gtf.factory;

import com.gtf.service.AliPaySercice;
import com.gtf.service.PaymentService;
import com.gtf.service.WeChatService;
import org.apache.catalina.core.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class PayFactory {
    public static PaymentService getPaymentService(String payType) {
        ClassPathXmlApplicationContext classPathXmlApplicationContext = new ClassPathXmlApplicationContext("");
               PaymentService paymentService = null;
        switch (payType) {
            case "ali_pay":
                paymentService = new AliPaySercice();
                break;
            case "wechat_pay":
                paymentService = new WeChatService();
                break;
        }
        return paymentService;

    }
}
